import { DragSourceType, DropTargetType } from '../../types';
export declare type DragSourcePayload = Partial<DragSourceType> & {
    componentName?: string;
    defaultProps?: any;
};
export declare const getDragSource: (payload: DragSourcePayload) => import("../../types").BrickAction;
export declare const getDropTarget: (payload: DropTargetType) => import("../../types").BrickAction;
export declare const clearDropTarget: () => import("../../types").BrickAction;
export declare const clearDragSource: () => import("../../types").BrickAction;
