import ACTION_TYPES from '../actionTypes';
import { createActions } from '../../store';
export const getDragSource = (payload) => createActions({
    type: ACTION_TYPES.getDragSource,
    payload,
});
export const getDropTarget = (payload) => createActions({
    type: ACTION_TYPES.getDropTarget,
    payload,
});
export const clearDropTarget = () => createActions({
    type: ACTION_TYPES.clearDropTarget,
});
export const clearDragSource = () => createActions({
    type: ACTION_TYPES.clearDragSource,
});
