import { DropTargetType, StateType } from '../types';
import { DragSourcePayload } from '../actions';
/**
 * 获取拖拽组件数据
 * @param state
 * @param payload
 * @returns {{dragSource: *}}
 */
export declare function getDragSource(state: StateType, payload: DragSourcePayload): StateType;
/**
 * 获取放置组件的容器组件信息
 * @param state
 * @param payload
 */
export declare function getDropTarget(state: StateType, payload: DropTargetType): StateType;
export declare function clearDropTarget(state: StateType): StateType;
export declare function clearDragSource(state: StateType): StateType;
