/**
 * 定义组件的分类数据结构，目的是为了更好的在组件预览面板做组件的展示搜索与约束
 */
export interface ComponentCategoryType {
    span?: number;
    props?: any[];
}
export interface ComponentInfoType {
    span?: number;
    props?: any[];
    components?: {
        [componentName: string]: ComponentCategoryType | null;
    };
}
export interface CategoryType {
    [category: string]: ComponentInfoType | null;
}
