import { PROPS_TYPES, PropsConfigType } from '../../types';
export declare type AddPropsConfigPayload = {
    newPropField?: string;
    fatherFieldLocation: string;
    childPropsConfig?: PropsConfigType[];
    propType?: PROPS_TYPES;
};
export declare const addPropsConfig: (payload: AddPropsConfigPayload) => import("../../types").BrickAction;
export declare type DeletePropsConfigPayload = {
    fatherFieldLocation: string;
    field: string;
};
export declare const deletePropsConfig: (payload: DeletePropsConfigPayload) => import("../../types").BrickAction;
export declare type ChangePropsPayload = {
    props: any;
};
export declare const changeProps: (payload: ChangePropsPayload) => import("../../types").BrickAction;
export declare const resetProps: () => import("../../types").BrickAction;
