import { StateType } from '../types';
import { ResizePayload, stylePayload } from '../actions';
/**
 * 样式改变时调用
 * @param state
 * @param payload
 * @returns {{propsSetting: *, componentConfigs: *}|*}
 */
export declare function changeStyles(state: StateType, payload: stylePayload): StateType;
export declare function resetStyles(state: StateType): StateType;
export declare function resizeChange(state: StateType, payload: ResizePayload): StateType;
