import { Store } from 'redux';
import { ReducerType } from './reducers';
import { BrickAction, ConfigType, StateType } from './types';
export declare type LegoBridgeType = {
    config?: ConfigType;
    store: Store<StateType, BrickAction> | null;
};
export declare const LEGO_BRIDGE: LegoBridgeType;
export declare const legoState: StateType;
export declare function createActions(action: BrickAction): BrickAction;
export declare function createLegStore(initState: Partial<StateType>, config: ConfigType, customReducer?: ReducerType): Store<StateType, BrickAction>;
